#ifndef SEQUENCELIBRARYIMPL_H
#define SEQUENCELIBRARYIMPL_H

#include "ipc/SequenceLibrary.h"

namespace SctCalibrationController {
using namespace Ipc;

class SequenceLibraryImpl : public SequenceLibrary { 
public:
    static SequenceLibraryImpl& instance();
    virtual ~SequenceLibraryImpl();
    
    virtual SequenceRequestImpl& characterizationSequence() const;
    virtual SequenceRequestImpl& quickCharacterizationSequence() const;
    
private:    
    SequenceLibraryImpl();
};    
        
}

#endif //SEQUENCELIBRARYIMPL_H
