{
TScanDef noise;

// Set to 6kHz
// tapi.timRegLoad(0, 0, 6, 9);

tapi.timSetFrequency(0, 0, 100, 6);

noise.trigsPerBurst = 50000;

noise.configure(0, 0, 10, 1);
noise.trigSequence.singleL1A();

// synch.full = 0;
noise.bits32 = 1;
// synch.loopCalLine = 0;
noise.distSlave = 0;
// synch.debug = 0;
noise.tim = 1;
noise.nth = 15;


tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 0.0);

tapi.modifyABCDVar(41, 1.0);  // QTHR Set to 1fC
tapi.modifyABCDVar(42, 0.0);  // 0 fC injection

tapi.doScan(noise);

tapi.awaitScan();
}
