#include "SequenceLibraryImpl.h"
#include "CalibrationControllerImpl.h"
#include "scripts/CharacterizationSequence.h"
#include "scripts/QuickCharacterizationSequence.h"

#include <iostream>

using namespace std;

namespace SctCalibrationController {
using namespace Scripts;    
    
SequenceLibraryImpl::SequenceLibraryImpl() {
    cout << "Create sequence library" << endl;
}

SequenceLibraryImpl::~SequenceLibraryImpl() {
    cout << "Destroy sequence library" << endl;
}

SequenceLibraryImpl& SequenceLibraryImpl::instance() {
    static SequenceLibraryImpl instance;
    return instance;
}

SequenceRequestImpl& SequenceLibraryImpl::characterizationSequence() const {
    cout << "create characterization sequence" << endl;
    return CharacterizationSequence::instance();
}

SequenceRequestImpl& SequenceLibraryImpl::quickCharacterizationSequence() const {
    cout << "create quick characterization sequence" << endl;
    return QuickCharacterizationSequence::instance();
}

    
}
