// A more advanced "example"
// Debug version of nmask test

//  SI is already defined if run from the scripting
//  menu from the SCT GUI
SI = GuiComponents.System.SystemInterface.getInstance();

api = SI.getSctApi();
//cal = SI.getCalibrationController();
//scanRequest = cal.getScanLibrary().defaultScan();
//scan = scanRequest.getScan();

// These should be wrapped in a TestRequest in order 
// to be guaranteed to be restored afterwards 
//  (these particular variables will be reset by most scans)
sdesc = Sct.ScanDescriptors.getInstance();

api.modifyABCDVar(sdesc.valueFor("ST_QTHR"), 1.0);
api.modifyABCDVar(sdesc.valueFor("ST_PREAMP"), 10.0);
api.modifyABCDVar(sdesc.valueFor("ST_SHAPER"), 10.0);

api.setABCDModules(Sct_SctApi.BankType.SCAN_CONFIG);
api.sendABCDModules(Sct_SctApi.BankType.SCAN_CONFIG);

//scan.setNTrigs(100);
//scan.setOption(Sct_SctApi.ScanPackage.ScanOptions.debug, 1);
//scan.setOption(Sct_SctApi.ScanPackage.ScanOptions.bits32, 1);

//api.setDebugOption("scan_auto_stall");

//trigger = scan.getTrigger1();
//trigger.singleL1A();

//scan.configure((short)sdesc.valueFor("ST_NMASK"), 0, 128, 1.0);

//cal.doScan(scanRequest);

