#ifndef SCTDATADISPLAY_DISPLAYINFO_H
#define SCTDATADISPLAY_DISPLAYINFO_H

#include <vector>

using std::vector;

namespace SctDataDisplay {
   
/**
  Contains information of what a Displayer should show.
  @author Matthew Palmer
  */
class DisplayInfo {
 public:
  DisplayInfo() : occupancyHistograms(false), projections(true) {} /// AJB 21/7/2004
    vector<unsigned int> displayChips;		///< A list of chips to display
    vector<unsigned int> displayChannels;	///< A list of channels to display
    bool occupancyHistograms;                    ///< do occupancyHistograms?
    bool projections;                            ///< do projections of raws?
};
}

#endif //SCTDATADISPLAY_DISPLAYINFO_H
